import React, { CSSProperties } from "react";
export type TNavItem = {
    src: string;
    icon: string;
    title: string;
};
export type TListTreeSectionProps = {
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    entityName: string;
    attributeName: string;
    regardingEntityName: string;
    regardingEntityType?: string;
    organizationId?: string;
    readonly?: boolean;
    showFilterButton?: boolean;
    checkedNodes?: Record<string, any>[];
    supportAdvancedFilter?: boolean;
    removeFilteredNode?: Record<string, any>;
    onClickClose?: () => void;
    onClickFilter?: (nodes: Record<string, any>[], selectedNode?: Record<string, any>) => void;
};
export declare const ListTreeSection: (props: TListTreeSectionProps) => React.JSX.Element;
export default ListTreeSection;
