"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrgForm = void 0;
var react_1 = __importDefault(require("react"));
var primeobjects_ui_web_store_1 = require("primeobjects-ui-web-store");
var primeobjects_helper_ui_1 = require("primeobjects-helper-ui");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var index_1 = require("mobx-react-lite/dist/index");
exports.OrgForm = (0, index_1.observer)(function (props) {
    var FormWrapper = props.FormWrapper, formProps = __rest(props, ["FormWrapper"]);
    var solution = (0, primeobjects_helper_ui_1.useSolution)();
    var entity = (0, primeobjects_helper_util_1.getEntity)(solution, "Organization");
    var contextStore = (0, primeobjects_ui_web_store_1.useContextStore)();
    var context = JSON.parse(contextStore.data);
    var organization = context.organization;
    if ((0, primeobjects_helper_util_1.libTrackIsOn)())
        console.log({ organization: organization });
    return react_1.default.createElement(FormWrapper, __assign({}, formProps, { entity: entity, record: organization }));
});
exports.default = exports.OrgForm;
//# sourceMappingURL=org.js.map