//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React, { useState } from "react";
import ContentLoaderSection from "primeobjects-ui-web-basic/build/cjs/controls/content-loader";
import ResizeDetectorDiv from "primeobjects-ui-web-basic/build/cjs/controls/resize-detector-div";
export var ListLoadingSection = function (props) {
    var height = props.height, count = props.count, id = props.id, barHeight = props.barHeight;
    var className = props.className ? props.className : "";
    var _a = useState(0), width = _a[0], setWidth = _a[1];
    var onResize = function (width) {
        setWidth(width ? width : 0);
    };
    return (React.createElement(ResizeDetectorDiv, { className: "w-full p-4 ".concat(className), style: props.style, onDetect: onResize }, width > 0 && (React.createElement(ContentLoaderSection, { id: id, height: height, count: count, width: width + (props.widthAdj ? props.widthAdj : 0), barHeight: barHeight }))));
};
export default ListLoadingSection;
//# sourceMappingURL=loading.js.map